Target version:    
Description

At my company, we are maintaining quite a lot of projects using single redmine instance. Some of these projects come to an end and

we would like to have them archived. The problem is that redmine is at the same time our knowledge base and our projects are

related one to each other. Thus, we cannot close them to be able to search through them.

My proposal is to add administrative checkbox option 'Search archived projects'.

Related issues:

Related to Redmine - Feature #3640: Freeze / Close Projects Closed 2009-07-20

Has duplicate Redmine - Feature #7509: Searching in archived projects Closed 2011-02-01

Has duplicate Redmine - Feature #7101: Ability to search archived projects / ... Closed 2010-12-13

History

#1 - 2010-10-13 14:21 - Slava Karg

We have almost same problem but in our case we need to make reports "Overall Time Spent" (at "Projects" page) which would also count spent

hours not only from active projects but from archived projects too (at least we want to have a possibility archived hours to be added to reports, like

idea written above about adding administrative checkbox option 'Count archived projects').

I consider that these two features are similar - that is why I wrote here, because both of them touch extended functional regarding Archive status of

projects.

Best Wishes!

#2 - 2011-02-01 12:54 - Anton Statutov

The same problem for me. I am voting to have this feature as well.

#3 - 2011-05-03 21:13 - David Lyons

This is pretty annoying for us as well, there is a lot of knowledge in the old tickets that is not available simply because redmine is blocking access to

the archived projects tickets.  It seems silly that the search is incapable of finding archived tickets.

#4 - 2011-10-10 15:40 - Martin G

+1

#5 - 2012-03-02 15:25 - Gary Ritchie

+1

#6 - 2012-04-02 18:10 - Gui Goretkin

+1

Any update on this?

#7 - 2012-08-08 17:30 - Alex Dergachev

This is a big enough problem for us that we decided to hack redmine's access control to support it.

The attached patch to redmine 1.2.1 core is quite hacky, and I'd appreciate any feedback on how to improve it.

Notes:

injects a "Search archived projects" checkbox into the search UI

overrides redmine's core access controls to allow viewing archived records (issues,wiki pages, etc) when checkbox is checked

out of security concerns, only works for users with admin privileges
I noticed a strange behavior in my dev environment: the global variable persisted across requests. coded a simple workaround.

Screenshot of UI change: http://dl-web.dropbox.com/u/29440342/screenshots/Screen%20Shot%202012-08-08%20at%2011.29.13%20AM.png

#8 - 2012-08-08 17:30 - Alex Dergachev

- File redmine_search_archived_aug8.patch added

And now the patch.

#9 - 2012-08-08 19:21 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I'm closing this request since 2.1.0 adds the ability to close projects. Closed projects are still visible/searchable but read-only.

#10 - 2014-11-05 22:03 - Alex Dergachev

Just checked out the Close project feature. It seems really useful, but I personally prefer to archiving the project, "hiding" all its issues wholesale. For

the important case of searching through archived projects, I've re-rolled the redmine_search_archived_aut8.patch I uploaded two years ago into a

stand-alone redmine plugin. Pretty hacky but works for us.

https://github.com/evolvingweb/redmine_search_archived_projects

#11 - 2016-05-28 12:01 - Antonio De Marinis

Alex Dergachev wrote:

Just checked out the Close project feature. It seems really useful, but I personally prefer to archiving the project, "hiding" all its issues wholesale.

For the important case of searching through archived projects, I've re-rolled the redmine_search_archived_aut8.patch I uploaded two years ago

into a stand-alone redmine plugin. Pretty hacky but works for us.

https://github.com/evolvingweb/redmine_search_archived_projects

 My solution to this issue, in order to avoid plugins is the following:

- I added a new "issue closed status" called "Archived/Expired" or whatever you feel appropriate.

- Before I close an obsolete/ended project I close any left over open tickets in bulk with my new closed status "Archived/Expired" (disabling email

notification  before that).

The solution above, allow users to exclude search results with all old open tickets, since in redmine you can search for "open only" issues now. So the

archived/expired issues will be excluded.

I don't think the "Archiving" of a project is common use case, hiding things will unnecessarily create confusion is many cases. In most cases users

(non-admin) want to be able to find old issues, the dates are good enough for the user to understand relevance. The Archiving of a project is really a

way to completely hide projects, really rare use case scenario for us. Being a governmental organisation we must keep history.

Files

redmine_search_archived_aug8.patch 4.14 KB 2012-08-08 Alex Dergachev
